# unorm not packaged
%global enable_tests 0

%global srcname iconv-lite
%global commit0 f5ec51b1e7dd1477a3570824960641eebdc5fbc6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global owner ashtuchkin

Name:       nodejs-iconv-lite
Version:    0.4.13
Release:    1%{?dist}
Summary:    Convert character encodings in pure JavaScript
License:    MIT
URL:        https://github.com/ashtuchkin/iconv-lite
Source0:    https://github.com/%{owner}/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(iconv)
BuildRequires:  npm(mocha)
BuildRequires:  npm(unorm)
%endif

%description
%{summary}.


%prep
%autosetup -n %{srcname}-%{commit0}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/iconv-lite
cp -pr package.json encodings/ lib/ \
    %{buildroot}%{nodejs_sitelib}/iconv-lite

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec --grep .
%endif
%{__nodejs} -e 'require("./")'


%files
%doc README.md Changelog.md
%license LICENSE
%{nodejs_sitelib}/iconv-lite


%changelog
* Tue Aug 09 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.4.13-1
- Update to new version
- Cleanup specfile
- Switch Source0 to github to include test

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.11-1
- update to upstream release 0.2.11

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-3
- fix ExclusiveArch usage

* Wed Jul 10 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-2
- do not package generation/ directory

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.10-1
- initial package
